com.h3c.util.pkt

## Enum IcmpOptionV6.Type

- java.lang.Object
- - java.lang.Enum<IcmpOptionV6.Type>
  - - com.h3c.util.pkt.IcmpOptionV6.Type

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<IcmpOptionV6.Type>
  Enclosing class:
    IcmpOptionV6

      public static enum IcmpOptionV6.Type
      extends Enum<IcmpOptionV6.Type>
      implements ProtocolEnum

  ICMPv6 option types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MTU` MTU.
    `PREFIX_INFO` Prefix information.
    `REDIRECT_HDR` Redirected header.
    `SRC_LL_ADDR` Source link-layer address.
    `TARGET_LL_ADDR` Target link-layer address.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static IcmpOptionV6.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IcmpOptionV6.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SRC_LL_ADDR

          public static final IcmpOptionV6.Type SRC_LL_ADDR

      Source link-layer address.

    - #### TARGET_LL_ADDR

          public static final IcmpOptionV6.Type TARGET_LL_ADDR

      Target link-layer address.

    - #### PREFIX_INFO

          public static final IcmpOptionV6.Type PREFIX_INFO

      Prefix information.

    - #### REDIRECT_HDR

          public static final IcmpOptionV6.Type REDIRECT_HDR

      Redirected header.

    - #### MTU

          public static final IcmpOptionV6.Type MTU

      MTU.

  - ### Method Detail

    - #### values

          public static IcmpOptionV6.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IcmpOptionV6.Type c : IcmpOptionV6.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IcmpOptionV6.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.